package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBGuidelineDetailsObjectUpdate entity.
 */
public class TBGuidelineDetailsObjectUpdateDTO implements Serializable {

    private Long id;

    private String index;

    private Long tbObjectParameterId;

    private Long tbGuidelineActivityId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public Long getTbObjectParameterId() {
        return tbObjectParameterId;
    }

    public void setTbObjectParameterId(Long tbObjectParameterId) {
        this.tbObjectParameterId = tbObjectParameterId;
    }

    public Long getTbGuidelineActivityId() {
        return tbGuidelineActivityId;
    }

    public void setTbGuidelineActivityId(Long tbGuidelineActivityId) {
        this.tbGuidelineActivityId = tbGuidelineActivityId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBGuidelineDetailsObjectUpdateDTO tBGuidelineDetailsObjectUpdateDTO = (TBGuidelineDetailsObjectUpdateDTO) o;
        if (tBGuidelineDetailsObjectUpdateDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBGuidelineDetailsObjectUpdateDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBGuidelineDetailsObjectUpdateDTO{" +
            "id=" + getId() +
            ", index='" + getIndex() + "'" +
            "}";
    }
}
